[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

upgrading to rpm-4.x from 3.x [ WAS: Re: problem building rpm withglibc-2.3.2 ]



On Thu, 4 Dec 2003, Jeff Johnson wrote:
> >
> > I'd be happy to, but the box in question has been running rpm-3.0.6,
> > and i read somewhere (that i can't find now) that the rpm DB from
> > rpm-3.x isn't compatible with rpm-4.x.  So, i fear losing my DB if i
> > upgrade. If this is not true, i'll gladly jump to 4.x.
> >
> Tar up /var/lib/rpm and upgrade to rpm-4.0.5, and convert from db1 ->
> db3 is my suggestion.

Is this as simple as running:
rpm --rebuilddb

after upgrading to rpm-4.x ?

thanks!

-- 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Lonni J Friedman				netllama@linux-sxs.org
Linux Step-by-step & TyGeMo		     http://netllama.ipfox.com




[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]